[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: "dist-upgrade" does not upgrade kernel on one of the Sarge machines even with correct "source.list"

On Thu, Oct 04, 2007 at 10:11:55PM +0530, Siju George wrote:
> Hi,
> One of the sarge machines runs and older kernel and "apt-get
> dist-upgrade" does not install the newer kernel.
> Could some one please help me trouble shoot this?

> debian:~# uname -a
> Linux debian 2.6.8-11-amd64-k8 #1 Sat Jul 1 12:02:45 UTC 2006 x86_64 GNU/Linux
> debian:~# apt-get update

> 0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
> debian:~#
> where as the newer Sarge kernel is
> Linux debian 2.6.8-13-amd64-k8 #1 Sat Jun 9 16:52:03 UTC 2007 x86_64 GNU/Linux

What kernel packages do you have installed?  If you don't have a
kernel-metapackage that always depends on the newest kernel, then you
won't get the newer kernel.

Look at what packages depend on the newer kernel.  At least one will be
a kernel meta-package.  Install the one that always depends on the
newest kernel.  

For example, on my Etch box, I have:

linux-image-amd64, which depends on:
	linux-image-2.6-amd64, which depends on:
This will mean that I will always have the most recent kernel
automatically selected, even if it jumps to linux-image-2.8.


Reply to: